// ===== Modellierung ========== Wolfgang Erben

package studienarbeit;

/**
 * Die Schnittstelle beschreibt Punkte im R2.
 * 
 * @author Christian Siegle
 *
 */
public interface IPunkt {

    /**
     * liefert den x-Wert.
     */
    double x();
    
    /**
     * liefert den y-Wert.
     */
    double y();
    
    /**
     * liefert den Abstand zum angegebenen Punkt.
     */
    double abstandZu(IPunkt punkt);
    
    
}